<bugID>706345<Summary>Global .close-icon class to get the appropriate close icon for the OS</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 5.0; rv:8.0) Gecko/20100101 Firefox/8.0
Build ID: 20111104165243

Steps to reproduce:

Firefox currently contains the following close buttons (with more to come in the restyle of the Awesomebar):

TABS:
.tab-close-button
.tabs-closebutton

SIDEBARS/TOOLBARS:
#sidebar-box .tabs-closebutton
.findbar-closebutton
#addonbar-closebutton 
.webconsole-close-button
#highlighter-closebutton 

PANELS/TAB-PANELS/POPUPS:
.messageCloseButton
#allTabs-tab-close-button.tabs-closebutton
#tab-view .groupItem .close
#tab-view .tab .close 
.messageCloseButton.popup-notification-closebutton
.panel-promo-closebutton

I've left out the "search-close" button because this is technically a functionally different button, but all of the ones listed above are functionally identical.  Half of these are brand new to Firefox 4.0 and up.  Each and every one of these requires theme support in the default theme as well as every 3rd party theme.  This can cause problems if a theme author misses a new feature then the new close button will not appear (documentation on theme-impacting changes is currently provided almost exclusively by akayser in a MozillaZine forum thread).



Expected results:

I'm requesting a global .closebutton class defined in global.css for each and every one of these elements, as well as any new close buttons created in new features.  Alternatively it may be even more functional to have three new classes so that each kind of close button can easily have a distinct visual style per usage:

.tabs-closebutton (already defined)
.toolbar-closebutton
.panel-closebutton</Description></bugID>